Bug 813140 - SELinux is preventing /usr/sbin/libvirt-qmf from 'nlmsg_read' accesses on the netlink_route_socket .
SELinux is preventing /usr/sbin/libvirt-qmf from 'nlmsg_read' accesses on the...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:ff0a4781bd68f1b0aaea18de752...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 00:07 EDT by Renich Bon Ciric
Modified: 2012-04-21 23:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-84.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-21 23:38:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Renich Bon Ciric 2012-04-17 00:07:44 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.1-5.fc16.x86_64
reason:         SELinux is preventing /usr/sbin/libvirt-qmf from 'nlmsg_read' accesses on the netlink_route_socket .
time:           Mon 16 Apr 2012 11:07:33 PM CDT

description:
:SELinux is preventing /usr/sbin/libvirt-qmf from 'nlmsg_read' accesses on the netlink_route_socket .
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that libvirt-qmf should be allowed nlmsg_read access on the  netlink_route_socket by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep libvirt-qmf /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:virt_qmf_t:s0
:Target Context                system_u:system_r:virt_qmf_t:s0
:Target Objects                 [ netlink_route_socket ]
:Source                        libvirt-qmf
:Source Path                   /usr/sbin/libvirt-qmf
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           libvirt-qmf-0.3.0-4.fc16.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-80.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.1-5.fc16.x86_64 #1 SMP
:                              Tue Apr 10 19:56:52 UTC 2012 x86_64 x86_64
:Alert Count                   144
:First Seen                    Sat 14 Apr 2012 02:02:46 PM CDT
:Last Seen                     Mon 16 Apr 2012 11:01:57 PM CDT
:Local ID                      0c0872be-72c7-4ee5-b768-6f64ff43078d
:
:Raw Audit Messages
:type=AVC msg=audit(1334635317.215:583): avc:  denied  { nlmsg_read } for  pid=1283 comm="libvirt-qmf" scontext=system_u:system_r:virt_qmf_t:s0 tcontext=system_u:system_r:virt_qmf_t:s0 tclass=netlink_route_socket
:
:
:type=SYSCALL msg=audit(1334635317.215:583): arch=x86_64 syscall=sendto success=yes exit=ENOTDIR a0=7 a1=7fff6ad71630 a2=14 a3=0 items=0 ppid=1 pid=1283 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=libvirt-qmf exe=/usr/sbin/libvirt-qmf subj=system_u:system_r:virt_qmf_t:s0 key=(null)
:
:Hash: libvirt-qmf,virt_qmf_t,virt_qmf_t,netlink_route_socket,nlmsg_read
:
:audit2allow
:
:#============= virt_qmf_t ==============
:allow virt_qmf_t self:netlink_route_socket nlmsg_read;
:
:audit2allow -R
:
:#============= virt_qmf_t ==============
:allow virt_qmf_t self:netlink_route_socket nlmsg_read;
:
Comment 1 Miroslav Grepl 2012-04-17 04:54:23 EDT
Fixed in  selinux-policy-3.10.0-84.fc16
Comment 2 Fedora Update System 2012-04-18 08:56:23 EDT
selinux-policy-3.10.0-84.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-84.fc16
Comment 3 Fedora Update System 2012-04-21 23:38:46 EDT
selinux-policy-3.10.0-84.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.